class Student():
    def __init__(self,student_id:str,name:str,group:str) -> None:
        self.__student_id = student_id
        self.__name = name
        self.__group = group
    
    def get_student_id(self) -> str:
        return self.__student_id
    
    def get_name(self) -> str:
        return self.__name
    
    def get_group(self) -> str:
        return self.__group
    
    def set_student_id(self,student_id:str) -> None:
        self.__student_id = student_id
    
    def set_name(self,name:str) -> None:
        self.__name = name
    
    def set_group(self,group:str) -> None:
        self.__group = group
    
    def __str__(self) -> str:
        return f"Student ID: {self.__student_id} | Name: {self.__name} | Group: {self.__group}"
    
    def toJson(self) -> dict:
        return {
            "student_id":self.__student_id,
            "name":self.__name,
            "group":self.__group
        }
    